Bug 351591 - yum is too liberal in accepting y/n input
yum is too liberal in accepting y/n input
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Jeremy Katz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-24 21:34 EDT by Josh Bressers
Modified: 2014-01-21 17:59 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-06 22:45:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Simple proposed patch (568 bytes, patch)
2007-10-24 21:34 EDT, Josh Bressers
no flags Details | Diff

  None (edit)
Description Josh Bressers 2007-10-24 21:34:00 EDT
When yum presents the

Is this ok [y/N]:

prompt, it only checks the first character entered.  In my instance, I typed a
y, did something else, then typed n<enter>.  This caused yum to accept my 'yn'
as a y.  I'm attaching a patch against the yum git repo.  I'd file this bug with
upstream, but I cannot use their bugzilla as they won't let anyone create a new
account easily.

The patch makes the user enter 'y', 'n', 'yes', or 'no'.
Comment 1 Josh Bressers 2007-10-24 21:34:00 EDT
Created attachment 236821 [details]
Simple proposed patch
Comment 2 Seth Vidal 2007-12-06 22:45:30 EST
checked in your patch, thanks.

Note You need to log in before you can comment on or make changes to this bug.